using System;
using System.Text.Json.Serialization;
namespace org.accordproject.time {
   using concerto;
   enum TemporalUnit {
      seconds,
      minutes,
      hours,
      days,
      weeks,
      years,
   }

   class Duration : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.time.Duration";
      public long amount { get; set; }
      public TemporalUnit unit { get; set; }
   }
}
